org.apache.lucene.luke.app.desktop.components

## Enum SearchPanelProvider.Tab

- java.lang.Object
- - java.lang.Enum<SearchPanelProvider.Tab>
  - - org.apache.lucene.luke.app.desktop.components.SearchPanelProvider.Tab

- All Implemented Interfaces:
    Serializable, Comparable<SearchPanelProvider.Tab>
  Enclosing class:
    SearchPanelProvider

      public static enum SearchPanelProvider.Tab
      extends Enum<SearchPanelProvider.Tab>

  tabs in the Search panel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANALYZER`
    `MLT`
    `QPARSER`
    `SIMILARITY`
    `SORT`
    `VALUES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SearchPanelProvider.Tab` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SearchPanelProvider.Tab[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QPARSER

          public static final SearchPanelProvider.Tab QPARSER

    - #### ANALYZER

          public static final SearchPanelProvider.Tab ANALYZER

    - #### SIMILARITY

          public static final SearchPanelProvider.Tab SIMILARITY

    - #### SORT

          public static final SearchPanelProvider.Tab SORT

    - #### VALUES

          public static final SearchPanelProvider.Tab VALUES

    - #### MLT

          public static final SearchPanelProvider.Tab MLT

  - ### Method Detail

    - #### values

          public static SearchPanelProvider.Tab[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchPanelProvider.Tab c : SearchPanelProvider.Tab.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchPanelProvider.Tab valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.